{-
 *  Programmer:	Piotr Borek
 *  E-mail:     piotrborek@op.pl
 *  Copyright 2016 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-}

module Simple.UI.All (
    module Simple.UI.Core.UIApp,
    module Simple.UI.Core.Draw,
    module Simple.UI.Core.Attribute,
    module Simple.UI.Core.ListenerList,
    module Simple.UI.Layouts.FillLayout,
    module Simple.UI.Layouts.SingleLayout,
    module Simple.UI.Utils,
    module Simple.UI.Widgets.Properties.Selected,
    module Simple.UI.Widgets.Widget,
    module Simple.UI.Widgets.Container,
    module Simple.UI.Widgets.Edit,
    module Simple.UI.Widgets.Label,
    module Simple.UI.Widgets.TextListView,
    module Simple.UI.Widgets.TextView,
    module Simple.UI.Widgets.TextItem,
    module Simple.UI.Widgets.StatusBar,
    module Simple.UI.Widgets.Text,
    module Simple.UI.Widgets.Window,
    module Simple.UI.Widgets.SimpleMenuBar,
    module Simple.UI.Widgets.SimpleMenuItem,
    -- reexports
    (.=),
    assign,
    view,
    (^.)
) where

import           Control.Lens                          (assign, view, (.=),
                                                        (^.))
import           Simple.UI.Core.Attribute
import           Simple.UI.Core.Draw
import           Simple.UI.Core.ListenerList
import           Simple.UI.Core.UIApp
import           Simple.UI.Layouts.FillLayout
import           Simple.UI.Layouts.SingleLayout
import           Simple.UI.Utils
import           Simple.UI.Widgets.Container
import           Simple.UI.Widgets.Edit
import           Simple.UI.Widgets.Label
import           Simple.UI.Widgets.Properties.Selected
import           Simple.UI.Widgets.SimpleMenuBar
import           Simple.UI.Widgets.SimpleMenuItem
import           Simple.UI.Widgets.StatusBar
import           Simple.UI.Widgets.Text
import           Simple.UI.Widgets.TextItem
import           Simple.UI.Widgets.TextListView
import           Simple.UI.Widgets.TextView
import           Simple.UI.Widgets.Widget
import           Simple.UI.Widgets.Window
